# $Revision: 1.23 $, $Date: 2012/02/11 20:41:24 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
Summary:	Inline Perl module - write Perl subroutines in other programming languages
Summary(pl.UTF-8):	Moduł Perla Inline - tworzenie funkcji perlowych w innych językach programowania
Name:		perl-Inline
Version:	0.50
Release:	1
Epoch:		1
# same as perl (but C-Cookbook is Artistic-only)
License:	GPL v1+ (except C-Cookbook) or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Inline/%{pdir}-%{version}.tar.gz
# Source0-md5:	cb9377b494819924bddf2de20c90f3ab
URL:		http://search.cpan.org/dist/Inline/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5 >= 2.09
BuildRequires:	perl-Parse-RecDescent >= 1.78
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# false requires found by rpm
%define		_noautoreq	'perl(of)'

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

%description -l pl.UTF-8
Moduł Inline pozwala umieszczać kod źródłowy w innych językach
programowania bezpośrednio wewnątrz skryptu lub modułu perlowego. Kod
jest w razie potrzeby automatycznie kompilowany, a następnie ładowany
w celu bezpośredniego dostępu z poziomu Perla.

%package C
Summary:	Inline::C Perl module - write Perl subroutines in C
Summary(pl.UTF-8):	Moduł Perla Inline::C - tworzenie funkcji Perla w C
Group:		Development/Languages/Perl
License:	Artistic
Requires:	%{name} = %{epoch}:%{version}
Requires:	gcc

%description C
Inline::C is a module that allows you to write Perl subroutines in C.

%description C -l pl.UTF-8
Inline::C to moduł pozwalający pisać funkcje Perla w C.

%prep
%setup -q -n %{pdir}-%{version}

%build
echo "y" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/*.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/Inline/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Inline.pm
%{perl_vendorlib}/Inline/denter.pm
%{perl_vendorlib}/Inline/Foo.pm
%{perl_vendorlib}/Inline/MakeMaker.pm
%{perl_vendorlib}/auto/Inline
%{_mandir}/man3/Inline.3pm*
%{_mandir}/man3/Inline-*.3pm*

%files C
%defattr(644,root,root,755)
%doc C/Changes C/README
%{perl_vendorlib}/Inline/C.pm
%{perl_vendorlib}/Inline/C
%{_mandir}/man3/Inline::C*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline.spec,v $
Revision 1.23  2012/02/11 20:41:24  zbyniu
- up to 0.50

Revision 1.22  2011/12/18 10:00:38  qboosh
- typo

Revision 1.21  2011/12/18 10:00:16  qboosh
- updated to 0.49

Revision 1.20  2009/09/15 11:00:53  amateja
- updated to 0.45

Revision 1.19  2008/07/27 22:37:51  arekm
- release 3

Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:29  paladine
- formatting

Revision 1.15  2004/05/06 18:09:45  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.13  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.12  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 21:55:07  radek
- fixed

Revision 1.8  2003/03/01 19:37:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/18 15:35:07  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/11/21 17:09:05  mis
- autoupdated to 0.44

Revision 1.5  2002/09/26 09:40:56  ankry
- version down to 0.42; 0.43 does not work with Inline::Filters
- release 1, epoch 1, STBR

Revision 1.4  2002/09/17 16:19:24  qboosh
- %%{perl_sitearch}{/auto,}/Inline dirs moved to perl - this package is noarch
- release 3

Revision 1.3  2002/07/13 22:56:17  ankry
- _noautoreq 'perl(of)' (workaround for rpm parsing error)
- release 2

Revision 1.2  2002/07/13 11:44:30  qboosh
- added dirs for arch-dependent Inline::* modules
- noarch Inline dir moved to perl - Inline::Files doesn't require Inline
- release 2

Revision 1.1  2002/07/12 22:45:14  qboosh
- new
